2015年8月16日日曜日

FreeBSD で PHP が 5.4.44 へアップグレード

FreeBSD の ports へ PHP のアップグレード(5.4.43 から 5.4.44 へ)が到着しました。
Extensions(拡張モジュール)を含めて一気に portmaster で更新しました。

今回のアップグレードの中にはウェブサーバの Apache 用の PHP モジュールも含まれています。Apache 用 PHP モジュールのビルドの冒頭部分には以下の警告が表示されていました。
/!\ WARNING /!\
!!! If you have a threaded Apache, you must build lang/php5 with ZTS support to enable thread-safety in extensions !!!

アップグレードのあとには Apache の再起動が必要でした。

0 件のコメント:

コメントを投稿